org.apache.catalina.tribes.transport.nio

## Class PooledParallelSender

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractSender
  - - org.apache.catalina.tribes.transport.PooledSender
    - - org.apache.catalina.tribes.transport.nio.PooledParallelSender

- All Implemented Interfaces:
    DataSender, MultiPointSender, PooledParallelSenderMBean

      public class PooledParallelSender
      extends PooledSender
      implements PooledParallelSenderMBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PooledParallelSender()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSender` | `getNewDataSender()`
    `void` | `sendMessage(Member[] destination, ChannelMessage message)`

    - ### Methods inherited from class org.apache.catalina.tribes.transport.PooledSender

      `add, connect, disconnect, getInPoolSize, getInUsePoolSize, getMaxWait, getPoolSize, getSender, keepalive, remove, returnSender, setMaxWait, setPoolSize`

    - ### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

      `getAddress, getAttempt, getConnectTime, getDestination, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.nio.PooledParallelSenderMBean

      `getDirectBuffer, getInPoolSize, getInUsePoolSize, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getMaxWait, getOoBInline, getPoolSize, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpRxBufSize, getUdpTxBufSize, isConnected`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

      `setDirectBuffer, setMaxRetryAttempts`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

      `getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### PooledParallelSender

          public PooledParallelSender()

  - ### Method Detail

    - #### sendMessage

          public void sendMessage(Member[] destination,
                         ChannelMessage message)
                           throws ChannelException

      Specified by:
        `sendMessage` in interface `MultiPointSender`
      Throws:
        `ChannelException`

    - #### getNewDataSender

          public DataSender getNewDataSender()

      Specified by:
        `getNewDataSender` in class `PooledSender`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.